/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

import java.util.Date;

/**
 * XbTaxonomyObjコンポーネントはDBに登録するXbTaxonomy情報を格納するクラス
 * 
 * @author Going Dot Com Inc.
 */
class XbTaxonomyObj {

    /** タクソノミーID */
	private long taxonomyId;
    /** タクソノミーグループID */
	private long taxonomyGroupId;
    /** タクソノミー名 */
	private String taxonomyName;
    /** タクソノミーファイル名 */
	private String taxonomyFile;
    /** 名前空間 */
	private String namespace;
    /** 名前空間URL */
	private String namespaceUrl;
    /** calculation識別子 */
	private String hrefCalculation;
    /** definition識別子 */
	private String hrefDefinition;
    /** presentation識別子 */
	private String hrefPresentation;
    /** label識別子 */
	private String hrefLabel;
    /** refence識別子 */
	private String hrefRefence;
    /** 終端判定フラグ */
	private int terminatedFlag;
    /** 作成日 */
	private Date creationDate;

    /**
     * 作成日を取得します。
     * @return creationDate
     */
    protected Date getCreationDate() {
        return creationDate;
    }

    /**
     * 作成日を設定します。
     * @param creationDate 作成日
     */
    protected void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    /**
     * calculation識別子を取得します。
     * @return hrefCalculation
     */
    protected String getHrefCalculation() {
        return hrefCalculation;
    }

    /**
     * calculation識別子を設定します。
     * @param hrefCalculation calculation識別子
     */
    protected void setHrefCalculation(String hrefCalculation) {
        this.hrefCalculation = hrefCalculation;
    }

    /**
     * definition識別子を取得します。
     * @return hrefDefinition
     */
    protected String getHrefDefinition() {
        return hrefDefinition;
    }

    /**
     * definition識別子を設定します。
     * @param hrefDefinition definition識別子
     */
    protected void setHrefDefinition(String hrefDefinition) {
        this.hrefDefinition = hrefDefinition;
    }

    /**
     * label識別子を取得します。
     * @return hrefLabel
     */
    protected String getHrefLabel() {
        return hrefLabel;
    }

    /**
     * label識別子を設定します。
     * @param hrefLabel label識別子
     */
    protected void setHrefLabel(String hrefLabel) {
        this.hrefLabel = hrefLabel;
    }

    /**
     * presentation識別子を取得します。
     * @return hrefPresentation
     */
    protected String getHrefPresentation() {
        return hrefPresentation;
    }

    /**
     * presentation識別子を設定します。
     * @param hrefPresentation presentation識別子
     */
    protected void setHrefPresentation(String hrefPresentation) {
        this.hrefPresentation = hrefPresentation;
    }

    /**
     * refence識別子を取得します。
     * @return hrefRefence
     */
    protected String getHrefRefence() {
        return hrefRefence;
    }

    /**
     * refence識別子を設定します。
     * @param hrefRefence refence識別子
     */
    protected void setHrefRefence(String hrefRefence) {
        this.hrefRefence = hrefRefence;
    }

    /**
     * 名前空間を取得します。
     * @return namespace
     */
    protected String getNamespace() {
        return namespace;
    }

    /**
     * 名前空間を設定します。
     * @param namespace 名前空間
     */
    protected void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    /**
     * 名前空間URLを取得します。
     * @return namespaceUrl
     */
    protected String getNamespaceUrl() {
        return namespaceUrl;
    }

    /**
     * 名前空間URLを設定します。
     * @param namespaceUrl 名前空間URL
     */
    protected void setNamespaceUrl(String namespaceUrl) {
        this.namespaceUrl = namespaceUrl;
    }

    /**
     * タクソノミーファイル名を取得します。
     * @return taxonomyFile
     */
    protected String getTaxonomyFile() {
        return taxonomyFile;
    }

    /**
     * タクソノミーファイル名を設定します。
     * @param taxonomyFile タクソノミーファイル名
     */
    protected void setTaxonomyFile(String taxonomyFile) {
        this.taxonomyFile = taxonomyFile;
    }

    /**
     * タクソノミーグループIDを取得します。
     * @return taxonomyGroupId
     */
    protected long getTaxonomyGroupId() {
        return taxonomyGroupId;
    }

    /**
     * タクソノミーグループIDを設定します。
     * @param taxonomyGroupId タクソノミーグループID
     */
    protected void setTaxonomyGroupId(long taxonomyGroupId) {
        this.taxonomyGroupId = taxonomyGroupId;
    }

    /**
     * タクソノミーIDを取得します。
     * @return taxonomyId
     */
    protected long getTaxonomyId() {
        return taxonomyId;
    }

    /**
     * タクソノミーIDを設定します。
     * @param taxonomyId タクソノミーID
     */
    protected void setTaxonomyId(long taxonomyId) {
        this.taxonomyId = taxonomyId;
    }

    /**
     * タクソノミー名を取得します。
     * @return taxonomyName
     */
    protected String getTaxonomyName() {
        return taxonomyName;
    }

    /**
     * タクソノミー名を設定します。
     * @param taxonomyName タクソノミー名
     */
    protected void setTaxonomyName(String taxonomyName) {
        this.taxonomyName = taxonomyName;
    }

    /**
     * 終端判定フラグを取得します。
     * @return terminatedFlag
     */
    protected int getTerminatedFlag() {
        return terminatedFlag;
    }

    /**
     * 終端判定フラグを設定します。
     * @param terminatedFlag 終端判定フラグ
     */
    protected void setTerminatedFlag(int terminatedFlag) {
        this.terminatedFlag = terminatedFlag;
    }
}